%global _internal_version  61d0dc5

Name:          muffin
Version:       2.0.5
Release:       %mkrel 2
Summary:       Window and compositing manager based on Clutter

Group:         Graphical desktop/Cinnamon
License:       GPLv2+
URL:           https://github.com/linuxmint/muffin

Source0:       muffin-%{version}.tar.gz
#Source0:       muffin-%{version}.git%{_internal_version}.tar.gz
#SourceGet0:   https://github.com/linuxmint/muffin/tarball/%{_internal_version}

BuildRequires: pkgconfig(clutter-1.0) >= 1.7.5
BuildRequires: pkgconfig(pango)
BuildRequires: pkgconfig(libstartup-notification-1.0)
BuildRequires: pkgconfig(gtk+-3.0) >= 3.3.3
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xdamage)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(xcomposite)
BuildRequires: zenity
BuildRequires: gnome-doc-utils
BuildRequires: desktop-file-utils
# Bootstrap requirements
BuildRequires: gtk-doc gnome-common intltool
BuildRequires: pkgconfig(libcanberra)
BuildRequires: pkgconfig(libcanberra-gtk)
BuildRequires: pkgconfig(cinnamon-desktop)

BuildRequires: gettext-devel
BuildRequires: pkgconfig(egl)


#Requires: control-center-filesystem
Requires: dbus-x11
Requires: zenity

%define libname_devel %mklibname -d %{name}

%description
Muffin is a window and compositing manager that displays and manages
your desktop via OpenGL. Muffin combines a sophisticated display engine
using the Clutter toolkit with solid window-management logic inherited
from the Metacity window manager.

While Muffin can be used stand-alone, it is primarily intended to be
used as the display core of a larger system such as Cinnamon. 
For this reason, Muffin is very extensible via plugins, which
are used both to add fancy visual effects and to rework the window
management behaviors to meet the needs of the environment.

%package -n %{libname_devel}
Summary: Development package for %{name}
Group: Development/GNOME and GTK+
Requires: %{name} = %{version}-%{release}
Provides: muffin-devel = %{version}-%{release}

%description -n %{libname_devel}
Header files and libraries for developing Muffin plugins. Also includes
utilities for testing Metacity/Muffin themes.

%prep
%setup -q -n linuxmint-muffin-%{_internal_version}
NOCONFIGURE=1 autoreconf -fi

%build
%configure2_5x --disable-static --enable-compile-warnings=minimum

sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

SHOULD_HAVE_DEFINED="HAVE_SM HAVE_XINERAMA HAVE_XFREE_XINERAMA HAVE_SHAPE HAVE_RANDR HAVE_STARTUP_NOTIFICATION"

for I in $SHOULD_HAVE_DEFINED; do
  if ! grep -q "define $I" config.h; then
    echo "$I was not defined in config.h"
    grep "$I" config.h
    exit 1
  else
    echo "$I was defined as it should have been"
    grep "$I" config.h
  fi
done

%make

%install
%makeinstall_std

#Remove libtool archives.
rm -rf %{buildroot}/%{_libdir}/*.la

%find_lang %{name}

# Muffin contains a .desktop file so we just need to validate it
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc README AUTHORS COPYING NEWS HACKING doc/theme-format.txt
%doc %{_mandir}/man1/muffin.1.*
%doc %{_mandir}/man1/muffin-message.1.*
%{_bindir}/muffin
%{_bindir}/muffin-message
%{_datadir}/applications/*.desktop
%{_datadir}/muffin/
%{_libdir}/libmuffin.so.*
%{_libdir}/muffin/Meta-Muffin.0.typelib
%{_libdir}/muffin/plugins
%{_datadir}/GConf/gsettings/muffin-schemas.convert
%{_datadir}/glib-2.0/schemas/org.cinnamon.muffin.gschema.xml

%files -n %{libname_devel}
%{_bindir}/muffin-theme-viewer
%{_bindir}/muffin-window-demo
%{_includedir}/muffin/
%{_libdir}/libmuffin.so
%{_libdir}/muffin/Meta-Muffin.0.gir
%{_libdir}/pkgconfig/*
%doc %{_mandir}/man1/muffin-theme-viewer.1.*
%doc %{_mandir}/man1/muffin-window-demo.1.*



%changelog
* Wed Jan 08 2014 joequant <joequant> 2.0.5-2.mga4
+ Revision: 565561
- push to core/release

* Wed Jan 01 2014 joequant <joequant> 2.0.5-1.mga4
+ Revision: 563803
- upgrade to 2.0.5

* Wed Oct 23 2013 joequant <joequant> 2.0.3-2.mga4
+ Revision: 546395
- upgrade to 2.0.3

* Mon Oct 21 2013 umeabot <umeabot> 2.0.1-2.mga4
+ Revision: 541269
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 joequant <joequant> 2.0.1-1.mga4
+ Revision: 495431
- update to 2.0.1

* Tue Oct 01 2013 joequant <joequant> 1.9.1-1.mga4
+ Revision: 490015
- upgrade to 1.9.1

* Mon Sep 02 2013 joequant <joequant> 1.8.3-0.4.gitc13a698.mga4
+ Revision: 474280
- update to latest git

* Fri Aug 23 2013 joequant <joequant> 1.8.3-0.3.git9611aa2.mga4
+ Revision: 470198
- update muffin

* Thu Aug 01 2013 dams <dams> 1.8.2-2.mga4
+ Revision: 462426
- rebuild for new cogl

* Sat Jun 01 2013 joequant <joequant> 1.8.2-1.mga4
+ Revision: 434269
- clean up spec file
- muffin 1.8.2
- upgrade cinnamon and muffin
- update to 1.7.4
- sync to latest 1.7 versions of cinnamon
- update to 1.7.1
- change API tag of Meta to avoid conflict with gnome-shell
  remove typelib(Meta) from spec
- imported package muffin


* Tue Jul 03 2012 Pedro <simplew8@gmail.com> 3.2.1-1
- first package (git SHA 930908f)
